org.apache.fop.configuration

## Class DefaultConfiguration

- java.lang.Object
- - org.apache.fop.configuration.DefaultConfiguration

- All Implemented Interfaces:
    Configuration

      public class DefaultConfiguration
      extends java.lang.Object
      implements Configuration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConfiguration(java.lang.String key)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(DefaultConfiguration configuration)`
    `java.lang.String` | `getAttribute(java.lang.String key)`
    `java.lang.String` | `getAttribute(java.lang.String key, java.lang.String defaultValue)`
    `boolean` | `getAttributeAsBoolean(java.lang.String key, boolean defaultValue)`
    `float` | `getAttributeAsFloat(java.lang.String key)`
    `float` | `getAttributeAsFloat(java.lang.String key, float defaultValue)`
    `int` | `getAttributeAsInteger(java.lang.String key, int defaultValue)`
    `java.lang.String[]` | `getAttributeNames()`
    `Configuration` | `getChild(java.lang.String key)`
    `Configuration` | `getChild(java.lang.String key, boolean required)`
    `Configuration[]` | `getChildren(java.lang.String key)`
    `java.lang.String` | `getLocation()`
    `java.lang.String` | `getValue()`
    `java.lang.String` | `getValue(java.lang.String defaultValue)`
    `boolean` | `getValueAsBoolean()`
    `boolean` | `getValueAsBoolean(boolean defaultValue)`
    `float` | `getValueAsFloat()`
    `float` | `getValueAsFloat(float defaultValue)`
    `int` | `getValueAsInteger()`
    `int` | `getValueAsInteger(int defaultValue)`
    `static java.lang.String` | `toString(org.w3c.dom.Document document)` Deprecated. For debug only.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultConfiguration

          public DefaultConfiguration(java.lang.String key)

  - ### Method Detail

    - #### toString

          public static java.lang.String toString(org.w3c.dom.Document document)

      Deprecated. For debug only.

    - #### addChild

          public void addChild(DefaultConfiguration configuration)

    - #### getChild

          public Configuration getChild(java.lang.String key)

      Specified by:
        `getChild` in interface `Configuration`

    - #### getChild

          public Configuration getChild(java.lang.String key,
                                        boolean required)

      Specified by:
        `getChild` in interface `Configuration`

    - #### getChildren

          public Configuration[] getChildren(java.lang.String key)

      Specified by:
        `getChildren` in interface `Configuration`

    - #### getAttributeNames

          public java.lang.String[] getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `Configuration`

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String key)

      Specified by:
        `getAttribute` in interface `Configuration`

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String key,
                                               java.lang.String defaultValue)

      Specified by:
        `getAttribute` in interface `Configuration`

    - #### getAttributeAsBoolean

          public boolean getAttributeAsBoolean(java.lang.String key,
                                               boolean defaultValue)

      Specified by:
        `getAttributeAsBoolean` in interface `Configuration`

    - #### getAttributeAsFloat

          public float getAttributeAsFloat(java.lang.String key)
                                    throws ConfigurationException

      Specified by:
        `getAttributeAsFloat` in interface `Configuration`
      Throws:
        `ConfigurationException`

    - #### getAttributeAsFloat

          public float getAttributeAsFloat(java.lang.String key,
                                           float defaultValue)

      Specified by:
        `getAttributeAsFloat` in interface `Configuration`

    - #### getAttributeAsInteger

          public int getAttributeAsInteger(java.lang.String key,
                                           int defaultValue)

      Specified by:
        `getAttributeAsInteger` in interface `Configuration`

    - #### getValue

          public java.lang.String getValue()
                                    throws ConfigurationException

      Specified by:
        `getValue` in interface `Configuration`
      Throws:
        `ConfigurationException`

    - #### getValue

          public java.lang.String getValue(java.lang.String defaultValue)

      Specified by:
        `getValue` in interface `Configuration`

    - #### getValueAsBoolean

          public boolean getValueAsBoolean()
                                    throws ConfigurationException

      Specified by:
        `getValueAsBoolean` in interface `Configuration`
      Throws:
        `ConfigurationException`

    - #### getValueAsBoolean

          public boolean getValueAsBoolean(boolean defaultValue)

      Specified by:
        `getValueAsBoolean` in interface `Configuration`

    - #### getValueAsInteger

          public int getValueAsInteger()
                                throws ConfigurationException

      Specified by:
        `getValueAsInteger` in interface `Configuration`
      Throws:
        `ConfigurationException`

    - #### getValueAsInteger

          public int getValueAsInteger(int defaultValue)

      Specified by:
        `getValueAsInteger` in interface `Configuration`

    - #### getValueAsFloat

          public float getValueAsFloat()
                                throws ConfigurationException

      Specified by:
        `getValueAsFloat` in interface `Configuration`
      Throws:
        `ConfigurationException`

    - #### getValueAsFloat

          public float getValueAsFloat(float defaultValue)

      Specified by:
        `getValueAsFloat` in interface `Configuration`

    - #### getLocation

          public java.lang.String getLocation()

      Specified by:
        `getLocation` in interface `Configuration`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.